For the complete documentation index, see llms.txt. This page is also available as Markdown.

Confirm Handling

Beta: Confirm slot handling

post

Confirm handling for a slot

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
site-slugstringRequired

The slug identifier of the site

slot-uidstringRequired

The unique identifier of the slot

Responses
200

Slot handling confirmed successfully

application/json
uidstringRequired

Unique identifier for the slot

start_timestring · date-timeRequired

Start time of the slot in ISO 8601 format

end_timestring · date-timeRequired

End time of the slot in ISO 8601 format

statestring · enumRequired

Current state of the slot

Possible values:
notestringOptional

Optional note for the slot

post/flow/sites/{site-slug}/slots/{slot-uid}/confirm-handling/
POST /api/v4/flow/sites/{site-slug}/slots/{slot-uid}/confirm-handling/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
200

Slot handling confirmed successfully

{
  "uid": "0199e335-13c8-7c2e-8da3-f0b3ad80a970",
  "zone": {
    "uid": "0199e335-43fb-7e8a-adb1-19631b25a7a0",
    "name": "Loading Bay A"
  },
  "company": {
    "uid": "0199e335-64f4-7011-b447-b2c7e4ac9382",
    "remote_id": "COMP123",
    "name": "Example Transport Company"
  },
  "start_time": "2024-01-15T08:00:00Z",
  "end_time": "2024-01-15T10:00:00Z",
  "state": "handled"
}

Last updated

Was this helpful?